Package com.independentsoft.office.drawing

# Enum Class BlendMode

java.lang.Object
java.lang.Enum<BlendMode>
com.independentsoft.office.drawing.BlendMode

All Implemented Interfaces:
  `Serializable`, `Comparable<BlendMode>`, `Constable`

public enum BlendMode extends Enum<BlendMode>
The Enum BlendMode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DARKEN`
  `LIGHTEN`
  `MULTIPLY`
  `NONE`
  `OVERLAY`
  `SCREEN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlendMode`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlendMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DARKEN

    public static final BlendMode DARKEN

  - ### LIGHTEN

    public static final BlendMode LIGHTEN

  - ### MULTIPLY

    public static final BlendMode MULTIPLY

  - ### OVERLAY

    public static final BlendMode OVERLAY

  - ### SCREEN

    public static final BlendMode SCREEN

  - ### NONE

    public static final BlendMode NONE

- ## Method Details

  - ### values

    public static BlendMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlendMode valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null